package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Notification;
import com.realnet.vpspack.Services.NotificationService ;




@RequestMapping(value = "/Notification")
 @CrossOrigin("*") 
@RestController
public class NotificationController {
	@Autowired
	private NotificationService Service;

@Value("${projectPath}")
	private String projectPath;
 




	@PostMapping("/Notification")
		  public Notification Savedata(@RequestBody Notification data) {
		Notification save = Service.Savedata(data)	;



		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Notification/{id}")
	public  Notification update(@RequestBody Notification data,@PathVariable Integer id ) {
		Notification update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Notification/getall/page")
	public Page<Notification> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Notification> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Notification")
	public List<Notification> getdetails() {
		 List<Notification> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Notification")
	public List<Notification> getallwioutsec() {
		 List<Notification> get = Service.getdetails();		
		return get;
}
@GetMapping("/Notification/{id}")
	public  Notification  getdetailsbyId(@PathVariable Integer id ) {
		Notification  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Notification/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





}